curl --request GET \
--url https://api.zivio.net/api/v3/sales_invoices \
--header 'X-API-Key: <api-key>' \
--header 'zivio-tenant-id: <api-key>'import requests
url = "https://api.zivio.net/api/v3/sales_invoices"
headers = {
"X-API-Key": "<api-key>",
"zivio-tenant-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', 'zivio-tenant-id': '<api-key>'}
};
fetch('https://api.zivio.net/api/v3/sales_invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"invoices": [
{
"id": "1",
"status": "draft",
"job_id": "23",
"job_summary": "Some text about the project",
"net_total": "16000.00",
"tax_total": "2000.00",
"total": "18000.00",
"ccy": "GBP",
"due_on": "2023-11-07T05:31:56Z",
"dated_on": "2023-11-07T05:31:56Z",
"milestone_id": "435",
"line_item_sheet_id": "234",
"credit_note_id": "124",
"is_credit_note": "null",
"credit_note_reason": "invoice paid in error",
"invoice_items": [
{
"id": "1",
"invoice_id": "123",
"milestone_id": "3654",
"line_item_sheet_id": "3645",
"purchase_order_line_id": "284",
"description": "Some text about the item",
"quantity": "10.0",
"unit_type": "milestone",
"billing_start": "YYYY-MM-DD",
"billing_end": "YYYY-MM-DD",
"ccy": "GBP",
"unit_cost": "30000.00",
"net_total_price": "30000.00",
"tax_rate": "20.0",
"tax_total": "6000.00",
"total_price": "36000.00",
"tax_type": {
"id": "123",
"label": "UK VAT",
"key": "cis_registered_contractors_deduction",
"rate": "20.0",
"country_code": "GB",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"archived": "false",
"custom_fields": {
"key": "value"
}
}
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"approved_at": "2023-11-07T05:31:56Z",
"approved_by": {
"id": "7158",
"first_name": "Jack",
"last_name": "Jones",
"email": "jack_jones@example.com",
"org_name": "Organisation Ltd",
"org_id": "567",
"business_unit": "Public Private Partnerships",
"division": "Infastructure",
"department": "Bridges",
"vetting_status": "PASSED",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"custom_fields": {
"key": "value"
},
"has_oversight": "<string>"
},
"client": {
"id": "7158",
"first_name": "Jack",
"last_name": "Jones",
"email": "jack_jones@example.com",
"org_name": "Organisation Ltd",
"org_id": "567",
"business_unit": "Public Private Partnerships",
"division": "Infastructure",
"department": "Bridge Building",
"vetting_status": "PASSED",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"custom_fields": {
"key": "value"
},
"has_oversight": "<string>"
},
"client_org": {
"id": "7158",
"name": "Company Ltd",
"is_external_client": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"supplier": {
"id": "77",
"name": "Company Inc",
"email": "jack_jones@companyinc.com",
"vetting_status": "PASSED",
"tax_number": "9876543234",
"tax_registered": "true",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}
]
}Retrieve all sales invoices, filter by query
Query Parameters
Filter by one or more statuses. Multiple statuses may be provided in a comma separated list [draft, unpaid, paid, level_1_approved, approved, pending, rejected]
Date range [YYYY-MM-DD+TO+YYYY-MM-DD] to search based on created timestamp for object.
Date range [YYYY-MM-DD+TO+YYYY-MM-DD] to search based on updated timestamp for object.
Date range [YYYY-MM-DD+TO+YYYY-MM-DD] to search based on updated timestamp for object.
Date range [YYYY-MM-DD+TO+YYYY-MM-DD] to search based on updated timestamp for object.
Results are sorted by created desc as default. Ordering may be specified, available options are ['approved', 'created', 'updated'], which can be combined in a comma separated list, e.g. approved:desc,updated:desc,created:asc
Number of results returned per request
Paginate results when number of results exceeds limit
Response
ok
Show child attributes
Show child attributes

